Bug 732214 - Review Request: otf2bdf - Generate BDF bitmap fonts from OpenType outline fonts
Summary: Review Request: otf2bdf - Generate BDF bitmap fonts from OpenType outline fonts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Volker Fröhlich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-20 21:55 UTC by Eric Smith
Modified: 2011-10-27 19:10 UTC (History)
3 users (show)

Fixed In Version: otf2bdf-3.1-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-20 03:57:50 UTC
volker27: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Eric Smith 2011-08-20 21:55:31 UTC
Spec URL: http://fedorapeople.org/~brouhaha/otf2bdf/otf2bdf.spec
SRPM URL: http://fedorapeople.org/~brouhaha/otf2bdf/otf2bdf-3.1-1.fc14.src.rpm
Description: 
otf2bdf is a command line utility that uses the FreeType 2 font
rendering library to generate BDF bitmap fonts from OpenType outline
fonts at different sizes and resolutions. This program is essentially
the same as the ttf2bdf program except that it uses FreeType 2.*, not
FreeType 1.*, has some bug fixes, and includes a new command line
parameter to print out the available encoding tables in the font.

Comment 1 Volker Fröhlich 2011-09-11 18:40:08 UTC
If you don't aim for EPEL5, you can remove the clean section, the buildroot definition and the rm in the install section.

Defattr is not needed at all.

I can't see any problems with the package. I'll do the review.

Comment 2 Volker Fröhlich 2011-09-11 18:41:13 UTC
Oh, a little one: Use the name macro on the two install commands.

Comment 3 Volker Fröhlich 2011-10-07 21:29:54 UTC
Review:

[+] Good
[-] Needs work
[0] Does not apply

MUST:
=====

[+] rpmlint:
[makerpm@fedora15 otf2bdf-3.1-1.fc14.src]$ rpmlint ../otf2bdf-3.1-1.fc15.src.rpm ../../RPMS/x86_64/otf2bdf-*
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

[+] Naming according to the Package Naming Guidelines
[+] Spec file matches base package name
[+] Packaging guidelines met
[+] License approved for Fedora
[+] License field in spec matches code
[+] License file included, if source package includes it (inside the README)
[+] Spec in American English
[+] Spec is legible
[+] Sources match upstream md5sum: 4c4e46490d2906d35abb3d3fc72051a3
[+] Compiles and builds into binary RPMs on at least one primary architecture
[0] ExcludeArch is specified and commented
[0] Locales are handled correctly
[+] All build dependencies listed
[0] Calls ldconfig for its shared libraries
[+] No bundled system libraries
[0] Stated as relocatable package
[+] Owns all its directories or requires package that does
[+] No file listing duplicates
[+] File permissions correct
[+] Consistent use of macros
[+] Code or permissible content
[0] Large documentation in -doc subpackage
[+] No runtime dependency of files listed as %doc
[0] Header files in -devel subpackage
[0] Static files in -static subpackage
[0] Library files without suffix in -devel subpackage
[0] Devel-package requires base package
[0] No .la libtool archives
[0] GUI application includes properly installed %{name}.desktop file
[+] No files or directories owned, that other packages own
[+] Filenames in packages are UTF-8

SHOULD:
=======

[0] Query upstream if no license text is included
[+] Package builds in mock: Tried epel-6-i386 and fedora-15-s86_64
[?] Package works as described -- Doesn't crash and produces output that looks OK
[0] Scriptlets are sane, if used
[0] Subpackages other than -devel should require base package (versioned)
[0] pkgconfig files in -devel subpackage
[0] Dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider
requiring the package which provides the file instead of the file itself
[+] Contain man pages, where they make sense

--------
APPROVED
--------

Suggestions:

- What I mentioned in the first comments
- You can use the name macro in the install and files section
- Change %{_mandir}/man1/*.1.* %{_mandir}/man1/%{name}.1.* as it is less generic

Comment 4 Eric Smith 2011-10-08 02:38:49 UTC
Spec URL: http://fedorapeople.org/~brouhaha/otf2bdf/otf2bdf.spec
SRPM URL: http://fedorapeople.org/~brouhaha/otf2bdf/otf2bdf-3.1-2.fc14.src.rpm

Thanks for the review. Spec updated based on your suggestions:

Comment 5 Eric Smith 2011-10-08 02:40:50 UTC
New Package SCM Request
=======================
Package Name: otf2bdf
Short Description: Generate BDF bitmap fonts from OpenType outline fonts
Owners: brouhaha
Branches: f14 f15 f16 el6
InitialCC:

Comment 6 Jason Tibbitts 2011-10-08 05:34:38 UTC
Git done (by process-git-requests).

Comment 7 Jason Tibbitts 2011-10-08 05:44:34 UTC
Note that something's currently not working properly with the git ACL generation so you won't actually be able to do anything with the repository I created except check it out anonymously.  (And since it's empty, that's kind of pointless.)  Hopefully this will be fixed relatively soon.

Comment 8 Volker Fröhlich 2011-10-08 06:39:41 UTC
You can drop the whole clean section. The rm in the install section is also not necessary for EPEL 6.

Comment 9 Fedora Update System 2011-10-09 04:52:13 UTC
otf2bdf-3.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/otf2bdf-3.1-2.fc16

Comment 10 Fedora Update System 2011-10-09 05:11:32 UTC
otf2bdf-3.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/otf2bdf-3.1-2.fc15

Comment 11 Fedora Update System 2011-10-09 05:17:42 UTC
otf2bdf-3.1-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/otf2bdf-3.1-2.fc14

Comment 12 Fedora Update System 2011-10-09 05:23:47 UTC
otf2bdf-3.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/otf2bdf-3.1-2.el6

Comment 13 Fedora Update System 2011-10-09 19:13:37 UTC
otf2bdf-3.1-2.fc16 has been pushed to the Fedora 16 testing repository.

Comment 14 Fedora Update System 2011-10-20 03:57:50 UTC
otf2bdf-3.1-2.fc16 has been pushed to the Fedora 16 stable repository.

Comment 15 Fedora Update System 2011-10-20 09:55:51 UTC
otf2bdf-3.1-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 16 Fedora Update System 2011-10-20 09:56:44 UTC
otf2bdf-3.1-2.fc14 has been pushed to the Fedora 14 stable repository.

Comment 17 Fedora Update System 2011-10-27 19:10:47 UTC
otf2bdf-3.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.